import * as log4js from "log4js";
import { SchemaProvider } from "./provider";
export declare class FileProvider implements SchemaProvider {
    private logger;
    private layoutSchema;
    private applicationSchema;
    private systemSchema;
    private authControllerSchema;
    private swThemeSchema;
    private swConfigurationSchema;
    private gwSchema;
    private path;
    constructor(logger: log4js.Logger, path?: string);
    get version(): string;
    get application(): string;
    get system(): string;
    get authController(): string;
    get layout(): string;
    get swTheme(): string;
    get swConfiguration(): string;
    get gw(): string;
    private getSchema;
}
